@ This GAUSS code creates graphs of impulse-response functions @
	library pgraph;
	graphset;
	_pdate = 0;
	output file=junk reset;
	
/* ==================================================
	load data
  ==================================================== */

ny = 6;    @ ny is number of variables @
hor = 12;  @ hor is number of months of impulse-response functions 
			calculated @
load varimp[hor,ny] = varimp.out;
load it1and25imp[hor,ny] = i1_25imp.out;
load ihatimp[hor,ny] = ihatimp.out;

/* ====================================================
	draw graphs
   ==================================================== */

xxx = seqa(0,1,12);
horiz = zeros(12,1);
_ptek = "Fig2.tkf";

/* Global Variables for Graphing */
axhght = .23;
titht = .4;
axht = .35;

begwind;
 _pmsgstr =
"Figure 2: Responses to Different Measures of Innovations in the Federal Funds Rate"; 
@_pmsgctl = (.25~7~.5~0~2~15~5);  @


xsize = (7.5/2) - .25;
ysize = 2;
makewind(xsize,ysize,1,1+2*ysize,1);
makewind(xsize,ysize,1+xsize,1+2*ysize,1);
makewind(xsize,ysize,1,1+ysize,1);
makewind(xsize,ysize,1+xsize,1+ysize,1);
makewind(xsize,ysize,1,1,1);
makewind(xsize,ysize,1+xsize,1,1);

axhght = 0.4;
titht = .45;
axht = .45;

setwind(1);
_pgrid =  2 | 0;
_pcolor=12;
fonts("Microb");
_pltype =  6| 1 | 2 ;
_ptitlht = titht;
_pnumht = axhght;
_plwidth = (4|3|2);
_pnum = { 1, 2 ,0};
_paxht = axht;

title("\201Response of EM");
xy(xxx, (varimp[.,1] ~ it1and25imp[.,1] ~ ihatimp[.,1]));

setwind(2);
 graphset;
_pgrid =  2 | 0;
_pcolor=12;
fonts("Microb");
_ptitlht = titht;
_pltype =  6| 1 | 2 ;
_pnumht = axhght;
_plwidth = (4|3|2);
_pnum = { 1, 2 ,0};
_paxht = axht;
title("\201Response of P");
xy(xxx, (varimp[.,2] ~ it1and25imp[.,2] ~ ihatimp[.,2]));

setwind(3);
 graphset;
_pgrid =  2 | 0;
_pcolor=12;
fonts("Microb");
_ptitlht = titht;
_pltype =  6| 1 | 2 ;
_pnumht = axhght;
_plwidth = (4|3|2);
_pnum = { 1, 2 ,0};
_paxht = axht;
title("\201Response of PCOM");
xy(xxx, (varimp[.,3] ~ it1and25imp[.,3] ~ ihatimp[.,3]));

setwind(4);
 graphset;
_pgrid =  2 | 0;
_pcolor=12;
fonts("Microb");
_ptitlht = titht;
_pltype =  6| 1 | 2 ;
_pnumht = axhght;
_plwidth = (4|3|2);
_pnum = { 1, 2 ,0};
_paxht = axht;
title("\201Response of Fed funds");
xy(xxx, (varimp[.,4] ~ it1and25imp[.,4] ~ ihatimp[.,4]));

setwind(5);
 graphset;
_pgrid =  2 | 0;
_pcolor=12;
fonts("Microb");
_ptitlht = titht;
_pltype =  6| 1 | 2 ;
_pnumht = axhght;
_plwidth = (4|3|2);
_pnum = { 1, 2 ,0};
_paxht = axht;
title("\201Response of NBRX");
xy(xxx, (varimp[.,5] ~ it1and25imp[.,5] ~ ihatimp[.,5]));

setwind(6);
 graphset;
_pgrid =  2 | 0;
_pcolor=12;
fonts("Microb");
_ptitlht = titht;
_pltype =  6| 1 | 2 ;
_pnumht = axhght;
_plwidth = (4|3|2);
_pnum = { 1, 2 ,0};
_paxht = axht;
title("\201Response of M2");
xy(xxx, (varimp[.,6] ~ it1and25imp[.,6] ~ ihatimp[.,6]));



endwind;

